# win_rabbitmq_plugin – Manage RabbitMQ plugins

New in version 2.4.

- Synopsis

- Parameters

- Examples

- Return Values

- Status

## Synopsis

- Manage RabbitMQ plugins.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
names string / required |  | Comma-separated list of plugin names. aliases: name

new_only
boolean

Choices:
- no ←
- yes

Only enable missing plugins.
Does not disable plugins that are not in the names list.

prefix string |  | Specify a custom install prefix to a Rabbit.

state
string

Choices:
- disabled
- enabled ←

Specify if plugins are to be enabled or disabled.

## Examples

    - name: Enables the rabbitmq_management plugin
      win_rabbitmq_plugin:
        names: rabbitmq_management
        state: enabled

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
disabled list | always | List of plugins disabled during task run. Sample: ['rabbitmq_management']
enabled list | always | List of plugins enabled during task run. Sample: ['rabbitmq_management']

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Artem Zinenko (@ar7z1)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.